# ActivityWrapper (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.workflows.runtime, class: ActivityWrapper

Package io.dapr.workflows.runtime

# Class ActivityWrapper<T extends WorkflowActivity>

java.lang.Object
io.dapr.workflows.runtime.ActivityWrapper<T>

All Implemented Interfaces:
  `com.microsoft.durabletask.TaskActivityFactory`

public class ActivityWrapper<T extends WorkflowActivity> extends Object implements com.microsoft.durabletask.TaskActivityFactory
Wrapper for Durable Task Framework task activity factory.

## Constructor Summary

Constructors
Constructor
Description
`ActivityWrapper(Class<T> clazz)`
Constructor for ActivityWrapper.

## Method Summary

Modifier and Type
Method
Description
`com.microsoft.durabletask.TaskActivity`
`create()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActivityWrapper

public ActivityWrapper(Class<T> clazz)
Constructor for ActivityWrapper.

Parameters:
  `clazz` - Class of the activity to wrap.

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `com.microsoft.durabletask.TaskActivityFactory`

### create

public com.microsoft.durabletask.TaskActivity create()

Specified by:
  `create` in interface `com.microsoft.durabletask.TaskActivityFactory`